package cn.superdesk.uniorder.service.operationCenter.impl;

import cn.superdesk.uniorder.dao.entity.operationCenter.UnifiedOperators;
import cn.superdesk.uniorder.dao.mapper.operationCenter.OperationCenterOperatorsMapper;
import cn.superdesk.uniorder.dto.param.operationCenter.base.OperationCenterParam;
import cn.superdesk.uniorder.dto.param.operationCenter.operators.OperationCenterOperatorsParam;
import cn.superdesk.uniorder.dto.vo.operationCenter.base.OperationCenterVo;
import cn.superdesk.uniorder.dto.vo.operationCenter.operators.OperationCenterOperatorsVo;
import cn.superdesk.uniorder.service.operationCenter.OperationCenterOperatorsService;
import com.github.pagehelper.PageInfo;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @Author : zx
 * @Create : 2023/3/28 10:57
 * Description : 操作 运营商表
 */

@Slf4j
@Service
@RequiredArgsConstructor
public class OperationCenterOperatorsServiceImpl implements OperationCenterOperatorsService {
    private final OperationCenterOperatorsMapper operationCenterOperatorsMapper;
    @Override
    public int insertSelective(UnifiedOperators unifiedOperators) {
        return operationCenterOperatorsMapper.insertSelective(unifiedOperators);
    }

    @Override
    public int updateByPrimaryKeySelective(UnifiedOperators unifiedOperators) {
        return operationCenterOperatorsMapper.updateByPrimaryKeySelective(unifiedOperators);
    }

    @Override
    public void deleteObj(Long id) {
        operationCenterOperatorsMapper.deleteByPrimaryKey(id);
    }

    @Override
    public UnifiedOperators findById(Long id) {
        return operationCenterOperatorsMapper.selectByPrimaryKey(id);
    }

    @Override
    public List<UnifiedOperators> findAll(Map<String, Object> queryMap) {
        return null;
    }

    @Override
    public PageInfo<UnifiedOperators> findByPaging(Map<String, Object> params, Integer pageNo, Integer pageSize) {
        return null;
    }

    @Override
    public List<OperationCenterOperatorsVo> getOpCenterOperatorList(OperationCenterOperatorsParam param) {
        return operationCenterOperatorsMapper.getOpCenterOperatorList(param);
    }


    @Override
    public List<OperationCenterVo> selectOperationCenterOperators(OperationCenterParam param) {
       return operationCenterOperatorsMapper.selectOperationCenterOperators(param);
    }
}
